#!/bin/bash

set -xe

MODE=$1

if [ "$MODE" == "debug" ]; then
    docker run --rm --name selenium-debug -p "4444:4444" -p "7900:7900" -e SE_OPTS="--allow-cors true" --shm-size="2g" selenium/standalone-chrome:108.0
else
    cd tests/
    docker compose build --no-cache --pull && docker compose up --remove-orphans --abort-on-container-exit --exit-code-from selenium-node
    docker compose rm -sf
fi
